summaryrefslogtreecommitdiff
path: root/repo/system/gettext
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-05-04 23:52:30 +0100
committerdavidovski <david@davidovski.xyz>2022-05-04 23:52:30 +0100
commit739c65c54cb0e957df5e9b76f93fb02554e5cac3 (patch)
tree09ddfa0a342f3ea9de136cb50abdd79821bf1b53 /repo/system/gettext
parent4c585ad54388285500fd18a6aaa516894e0f2c16 (diff)
moved everything to new file formatting
Diffstat (limited to 'repo/system/gettext')
-rw-r--r--repo/system/gettext/gettext.xibuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/repo/system/gettext/gettext.xibuild b/repo/system/gettext/gettext.xibuild
new file mode 100644
index 0000000..11b6754
--- /dev/null
+++ b/repo/system/gettext/gettext.xibuild
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+MAKEDEPS="make"
+DEPS="acl sh"
+
+PKG_VER=0.3.2
+SOURCE=https://ftp.barfooze.de/pub/sabotage/tarballs/gettext-tiny-$PKG_VER.tar.xz
+DESC="Lightweight replacement for tools used in the GNU gettext suite"
+
+ADDITIONAL="
+ https://raw.githubusercontent.com/dslm4515/Musl-LFS/master/patches/gettext-tiny-adiele/line-length.patch
+ https://raw.githubusercontent.com/dslm4515/Musl-LFS/master/patches/gettext-tiny-adiele/respect-cflags.patch
+ https://raw.githubusercontent.com/dslm4515/Musl-LFS/master/patches/gettext-tiny-adiele/stop-doing-macro-crap.patch
+"
+
+prepare () {
+ for p in *.patch; do
+ patch -Np1 -i $p || true
+ done
+}
+
+build () {
+ LIBINTL=MUSL prefix=/usr make
+}
+
+package () {
+ make LIBINTL=MUSL prefix=/usr DESTDIR=$PKG_DEST install
+}